Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 456750 - kde-base/plasma-desktop[-rss] unintuitive dependency on kde-base/libplasmaclock[-holidays]
Summary: kde-base/plasma-desktop[-rss] unintuitive dependency on kde-base/libplasmaclo...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard: fixed in 4.11.2
Keywords:
Depends on:
Blocks: kde-4.11.2-stable
  Show dependency tree
 
Reported: 2013-02-11 10:21 UTC by Franz Trischberger
Modified: 2013-10-23 21:29 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Franz Trischberger 2013-02-11 10:21:52 UTC
I know there is
https://bugs.gentoo.org/show_bug.cgi?id=353726
But I really don't understand the fix. rss is completely unrelated to calendar holidays. Could't this be solved in a better way?

background:
I just noticed that my calendar does not show any holidays. So looking into the tree I found libplasmaclock was built with USE="-holidays". Enabling the flag did not fix my issues, but compilation did not fail (packagemanager not spitting out an error due to unmet USE-dependencies)
Turned out plasmaengine_calendar was missing - which I did not understand in the first place. Looking into the sources did not help much, eather.
After enabling rss for plasma-workspace everything is fine, again.

Could this be solved in a better and more intuitive way? E.G. adding a USE-Flag "calendar" to plasma-workspace? If patches are needed I could do that, but first it would be nice to get some feedback on the idea.
Comment 1 Johannes Huber gentoo-dev 2013-05-23 21:01:55 UTC
Will be handled with 4.11 use flag changes.
Comment 2 Michael Palimaka (kensington) gentoo-dev 2013-10-07 10:50:49 UTC
This is unfixed again, the holidays USE flag is removed and the resulting kdepim dependency is automagic now.
Comment 3 Johannes Huber gentoo-dev 2013-10-23 21:29:26 UTC
Was refactored to semantic-destkop.